Debian Bug report logs - #726715
ITP: python-parse -- Parse provides the reverse function for format()

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Arthur Vuillard <arthur@hashbang.fr>

Date: Fri, 18 Oct 2013 10:03:01 UTC

Owned by: Arthur Vuillard <arthur@hashbang.fr>

Severity: wishlist

Fixed in version python-parse/1.6.3-1

Done: Cyril Bouthors <cyril@bouthors.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#726715; Package wnpp. (Fri, 18 Oct 2013 10:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arthur Vuillard <arthur@hashbang.fr>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Fri, 18 Oct 2013 10:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Arthur Vuillard <arthur@hashbang.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: python-parse -- Parse provides the reverse function for format()
Date: Fri, 18 Oct 2013 10:00:28 +0000
Package: wnpp
Severity: wishlist
Owner: Arthur Vuillard <arthur@hashbang.fr>

* Package name    : python-parse
  Version         : 1.6.3
  Upstream Author : Richard Jones <rjones@ekit-inc.com>
* URL             : https://github.com/r1chardj0n3s/parse
* License         : BSD
  Programming Lang: Python
  Description     : Parse provides the reverse function for format()


Parse strings using a specification based on the Python format() syntax.

   ``parse()`` is the opposite of ``format()``

The module is set up to only export ``parse()``, ``search()`` and
``findall()`` when ``import *`` is used:

>>> from parse import *

>From there it's a simple thing to parse a string:

>>> parse("It's {}, I love it!", "It's spam, I love it!")
<Result ('spam',) {}>
>>> _[0]
'spam'



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 11 Nov 2013 19:06:09 GMT) Full text and rfc822 format available.

Reply sent to Cyril Bouthors <cyril@bouthors.org>:
You have taken responsibility. (Sat, 30 Nov 2013 00:03:14 GMT) Full text and rfc822 format available.

Notification sent to Arthur Vuillard <arthur@hashbang.fr>:
Bug acknowledged by developer. (Sat, 30 Nov 2013 00:03:14 GMT) Full text and rfc822 format available.

Message #12 received at 726715-close@bugs.debian.org (full text, mbox):

From: Cyril Bouthors <cyril@bouthors.org>
To: 726715-close@bugs.debian.org
Subject: Bug#726715: fixed in python-parse 1.6.3-1
Date: Sat, 30 Nov 2013 00:00:24 +0000
Source: python-parse
Source-Version: 1.6.3-1

We believe that the bug you reported is fixed in the latest version of
python-parse, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 726715@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cyril Bouthors <cyril@bouthors.org> (supplier of updated python-parse package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 11 Nov 2013 15:37:03 +0100
Source: python-parse
Binary: python-parse
Architecture: source all
Version: 1.6.3-1
Distribution: unstable
Urgency: low
Maintainer: Cyril Bouthors <cyb@debian.org>
Changed-By: Cyril Bouthors <cyril@bouthors.org>
Description: 
 python-parse - Parse provides the reverse function for format().
Closes: 726715
Changes: 
 python-parse (1.6.3-1) unstable; urgency=low
 .
   * Initial release (closes: #726715).
Checksums-Sha1: 
 e568c9a160689c3a71400d30aceb8e10d77c37cc 1188 python-parse_1.6.3-1.dsc
 5532dce6dcca299a0719761c5b6249b52a61d2d0 23835 python-parse_1.6.3.orig.tar.gz
 c0d54afe6c9e31f57f7af49a17cf903ffe965738 1813 python-parse_1.6.3-1.debian.tar.gz
 19d66537b93f78b8ad6aefdee944a02b03d6566c 14520 python-parse_1.6.3-1_all.deb
Checksums-Sha256: 
 58b7dc66a48f44b6ca6cba018d84d6810b159af7cede97e179475f86169dec19 1188 python-parse_1.6.3-1.dsc
 a3881a39b21179fecaf754b9b822127d52db72b22e574eecb0fc2c5bc578b5bd 23835 python-parse_1.6.3.orig.tar.gz
 a05aa97be66f1a492eb33dc55ea29b2fe70990da1a05660ee3d6744e4cd699a3 1813 python-parse_1.6.3-1.debian.tar.gz
 28dbd00114751c7dd4b535168afd46587f1de79ae378ea653721038c5d23de45 14520 python-parse_1.6.3-1_all.deb
Files: 
 6793d508a8b4808bee2869f1b4289de6 1188 python optional python-parse_1.6.3-1.dsc
 d5b22f098cabd75cb8ca3341ecd348d4 23835 python optional python-parse_1.6.3.orig.tar.gz
 27c36a52f279ab339e0e139f2c3dde77 1813 python optional python-parse_1.6.3-1.debian.tar.gz
 b7c004b9fb23ec89ed06f3a2711387d3 14520 python optional python-parse_1.6.3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iD8DBQFSgOv3Z1SJHeqsYt8RArlxAJ4s90ea6beTbJVJhvDqYk9VJ6i9SQCeKIcd
sxVp0wy7VEmLPyB5vwStGac=
=HIBQ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 28 Dec 2013 07:27:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:57:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.